Building Audacity 2.1.2 on Fedora 24

Building and customizing Audacity from the source code.

If you require help using Audacity, please post on the forum board relevant to your operating system:
Windows
Mac OS X
GNU/Linux and Unix-like

Building Audacity 2.1.2 on Fedora 24

Permanent link to this post Posted by polemon » Fri Jul 08, 2016 11:22 pm

So, I'm trying to build Audacity 2.1.2 on Fedora 24 with the following parameters:

Code: Select all
./configure --prefix=$HOME --with-ffmpeg  --with-lame --with-libflac --with-libid3tag --with-libmad --with-sbsms --with-libsndfile --with-libsoxr --with-soundtouch --with-libtwolame --with-libvamp --with-libvorbis --with-lv2 --with-portaudio


I made sure I have the respective devel libraries installed, etc.
When ./configure is checking for header files, it seems to find all it needs.

Then it checks for wxWidgets...

I've installed the packages available at http://repos.codelite.org/wx3.1.0/wx3.1 ... fedora/24/, specifically these:

Code: Select all
wxBase31-3.1.0-1.fc24.x86_64.rpm
wxGTK31-3.1.0-1.fc24.x86_64.rpm
wxGTK31-debuginfo-3.1.0-1.fc24.x86_64.rpm
wxGTK31-devel-3.1.0-1.fc24.x86_64.rpm
wxGTK31-gl-3.1.0-1.fc24.x86_64.rpm
wxGTK31-media-3.1.0-1.fc24.x86_64.rpm

(i.e. all *.fc24.x86_64.rpm packages) I have to manually install them like that, because they're not included in the standard repos or Fedorafusion repos, so I just downloaded them and installed them manually with dnf, that part works well, etc.

The devel package is the most interesting obviously, as it contains the header files needed to compile other software with, etc.

However ./configure of Audacity ends with this:
Code: Select all
checking for wx-config... /usr/bin/wx-config
configure: Checking that the chosen version of wxWidgets is 3.0.x
configure: error: Unable to locate a suitable configuration of wxWidgets v3.0.x or higher.
The currently available configurations are listed below.  If necessary, either
install the package for your distribution or download the latest version of
wxWidgets
from http://wxwidgets.org.

    Default config is gtk2-unicode-release-2.8

  Default config will be used for output

  Also available in /usr:
    gtk2-unicode-3.0-gtk2
    gtk3-unicode-3.0
    gtk3-unicode-3.1


I'm unsure how to proceed at this point. Please help?

Cheers
--polemon
polemon
 
Posts: 2
Joined: Fri Jul 08, 2016 10:25 pm
Operating System: Linux Fedora/RHEL

Re: Building Audacity 2.1.2 on Fedora 24

Permanent link to this post Posted by Gale Andrews » Sat Jul 09, 2016 11:41 am

Audacity 2.1.2 requires wxWidgets 3.0.x.

Point the audacity configure command to the actual wxWidgets installation you want to use - see http://wiki.audacityteam.org/wiki/Developing_On_Linux#wxWidgets.

Or, self-build your own version of wxWidgets 3.0.2 from http://wxwidgets.org/downloads/. Install wxWidgets in /usr/local/ (it's the default location) then sudo ldconfig after install. Audacity should then look for that installation in /usr/local/ first.

Gale
________________________________________FOR INSTANT HELP: (Click on Link below)
* * * * * Tips * * * * * Tutorials * * * * * Quick Start Guide * * * * * Audacity Manual
Gale Andrews
Quality Assurance
 
Posts: 25276
Joined: Fri Jul 27, 2007 12:02 am
Operating System: Windows 10


Return to Compiling Audacity



Who is online

Users browsing this forum: henric and 2 guests